commit cda1472944648652764c6980f5ee3f3e91459ef3
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon Oct 28 11:15:03 2019 +0100

    Major SSSP overhaul:
    - SSSP no works even without Bootloader (AMiRo-OS implements startup and shutdown phases)
    - MSI and calendar synchronization are currently not available (WIP)
    - lots of minor changes

diff --git a/modules/NUCLEO-F103RB/module.h b/modules/NUCLEO-F103RB/module.h
index 22a5cb2..89ce887 100644
--- a/modules/NUCLEO-F103RB/module.h
+++ b/modules/NUCLEO-F103RB/module.h
@@ -147,34 +147,33 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
 /**
  * @brief   Event flag to be call dwt_isr() interrupt.
  */
-#define MODULE_OS_IOEVENTFLAGS_DW1000_IRQn      AOS_IOEVENT_FLAG(PAL_PAD(LINE_ARD_D14))
+#define MODULE_OS_GPIOEVENTFLAG_DW1000_IRQn     AOS_GPIOEVENT_FLAG(PAL_PAD(LINE_ARD_D14))
 //#endif /* (BOARD_DW1000_CONNECTED == true) */
 
 /**
  * @brief   Event flag to be set on a USER_BUTTON interrupt.
  */
-#define MODULE_OS_IOEVENTFLAGS_USERBUTTON       AOS_IOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
+#define MODULE_OS_GPIOEVENTFLAG_USERBUTTON      AOS_GPIOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
- * @note    SSSP related interrupt signals are already initialized in 'aos_system.c'.
  */
 #define MODULE_INIT_INTERRUPTS() {                                            \
   /* user button */                                                           \
-  palSetLineCallback(moduleGpioUserButton.gpio->line, aosSysGetStdExtiCallback(), &moduleGpioUserButton.gpio->line);  \
+  palSetLineCallback(moduleGpioUserButton.gpio->line, aosSysGetStdGpioCallback(), &moduleGpioUserButton.gpio->line);  \
   palEnableLineEvent(moduleGpioUserButton.gpio->line, APAL2CH_EDGE(moduleGpioUserButton.meta.edge));                  \
   MODULE_INIT_INTERRUPTS_DW1000();                                            \
 }
 #if (BOARD_DW1000_CONNECTED == true)
   #define MODULE_INIT_INTERRUPTS_DW1000() {                                   \
-    palSetLineCallback(moduleGpioDw1000Irqn.gpio->line, aosSysGetStdExtiCallback(), &moduleGpioDw1000Irqn.gpio->line);  \
+    palSetLineCallback(moduleGpioDw1000Irqn.gpio->line, aosSysGetStdGpioCallback(), &moduleGpioDw1000Irqn.gpio->line);  \
     palEnableLineEvent(moduleGpioDw1000Irqn.gpio->line, APAL2CH_EDGE(moduleGpioDw1000Irqn.meta.edge));                  \
   }
 #else /* (BOARD_DW1000_CONNECTED == true) */
@@ -187,7 +186,7 @@ extern ROMCONST char* moduleShellPrompt;
  * @brief   Test initialization hook.
  */
 #define MODULE_INIT_TESTS() {                                                 \
-  /* initialize tests and add to shell */                                     \
+  /* add test commands to shell */                                            \
   aosShellAddCommand(&aos.shell, &moduleTestLedShellCmd);                     \
   aosShellAddCommand(&aos.shell, &moduleTestButtonShellCmd);                  \
   MODULE_INIT_TESTS_DW1000();                                                 \
@@ -228,6 +227,7 @@ extern ROMCONST char* moduleShellPrompt;
  */
 #define MODULE_SHUTDOWN_PERIPHERY_IF() {                                      \
   MODULE_SHUTDOWN_PERIPHERY_IF_DW1000();                                      \
+  /* don't stop the serial driver so messages can still be printed */         \
 }
 #if (BOARD_DW1000_CONNECTED == true)
 #define MODULE_SHUTDOWN_PERIPHERY_IF_DW1000() {                               \
@@ -242,26 +242,26 @@ extern ROMCONST char* moduleShellPrompt;
 /**
  * @brief   HOOK to toggle the LEDs when the user button is pressed.
  */
-#define MODULE_MAIN_LOOP_IO_EVENT(eventflags) {                               \
-  if (eventflags & MODULE_OS_IOEVENTFLAGS_USERBUTTON) {                       \
+#define MODULE_MAIN_LOOP_GPIOEVENT(eventflags) {                              \
+  if (eventflags & MODULE_OS_GPIOEVENTFLAG_USERBUTTON) {                      \
     apalControlGpioState_t buttonstate;                                       \
     apalControlGpioGet(&moduleGpioUserButton, &buttonstate);                  \
     apalControlGpioSet(&moduleGpioLed, buttonstate);                          \
   }                                                                           \
-  MODULE_MAIN_LOOP_IO_EVENT_DW1000();                                         \
+  MODULE_MAIN_LOOP_GPIOEVENT_DW1000();                                        \
 }
 #if (BOARD_DW1000_CONNECTED == true)
   /**
    * @brief   HOOK to call process_deca_irq() func when the dw1000 interrupt pin is activated.
    */
-  #define MODULE_MAIN_LOOP_IO_EVENT_DW1000() {                                \
-    if(eventflags & MODULE_OS_IOEVENTFLAGS_DW1000_IRQn) {                     \
+  #define MODULE_MAIN_LOOP_GPIOEVENT_DW1000() {                               \
+    if(eventflags & MODULE_GPOS_IOEVENTFLAG_DW1000_IRQn) {                    \
       /*apalGpioToggle(moduleGpioLed.gpio);*/ /* just for debug*/             \
       process_deca_irq();                                                     \
     }                                                                         \
   }
 #else /* (BOARD_DW1000_CONNECTED == true) */
-  #define MODULE_MAIN_LOOP_IO_EVENT_DW1000() {                                \
+  #define MODULE_MAIN_LOOP_GPIOEVENT_DW1000() {                               \
   }
 #endif /* (BOARD_DW1000_CONNECTED == true) */
 
@@ -274,6 +274,12 @@ extern ROMCONST char* moduleShellPrompt;
  */
 /*===========================================================================*/
 
+#if (AMIROOS_CFG_SSSP_ENABLE == true) || defined(__DOXYGEN__)
+
+// SSSP is not yet supported on this module
+
+#endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
+
 /** @} */
 
 /*===========================================================================*/
